# Create a new theme Endpoint: POST /api/v1/themes Version: 0.0.1 Security: user_session, form_session, component_session, component_token, api_token ## Request fields (application/json): - `name` (string, required) a non empty string - `light` (object) - `light.logo` (string) - `light.show_header` (boolean) - `light.show_form_name` (boolean) - `light.show_updated_fields_count` (boolean) - `light.next_button_text` (string) - `light.back_button_text` (string) - `light.custom_background` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.custom_foreground` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.primary_background` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.primary_foreground` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.secondary_background` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.secondary_foreground` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.progress` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.border` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.radius` (string) - `dark` (object) ## Response 200 fields (application/json): - `id` (string, required) Theme Identifier - `name` (string, required) a non empty string - `light` (object) - `light.logo` (string) - `light.show_header` (boolean) - `light.show_form_name` (boolean) - `light.show_updated_fields_count` (boolean) - `light.next_button_text` (string) - `light.back_button_text` (string) - `light.custom_background` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.custom_foreground` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.primary_background` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.primary_foreground` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.secondary_background` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.secondary_foreground` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.progress` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.border` (string) Hex Theme Color (must be a valid hex code like #FFF or #FFFFFF) - `light.radius` (string) - `dark` (object) - `created_at` (string, required) a string to be decoded into a DateTime.Utc - `updated_at` (string, required) a string to be decoded into a DateTime.Utc - `_tag` (string, required) Enum: "Theme" ## Response 401 fields (application/json): - `message` (string, required) - `_tag` (string, required) Enum: "Unauthorized" ## Response 403 fields (application/json): - `message` (string, required) - `_tag` (string, required) Enum: "Forbidden"